
    --
    -- Dumping data for table `sys_page_compose`
    --

    INSERT INTO 
        `sys_page_compose` 
    (`Page`, `PageWidth`, `Desc`, `Caption`, `Column`, `Order`, `Func`, `Content`, `DesignBox`, `ColWidth`, `Visible`, `MinWidth`)
        VALUES
    ('index', '998px', 'Display chat stats with rooms and users list', '_tm_chat_stats', 2, 0, 'PHP', 'BxDolService::call(''topcmmchat'', ''get_chat_stats'');', 1, 34, 'non,memb', 0);

    --
    -- Dumping data for table `sys_acl_actions`
    --

    SET @iLevelNonMember := 1;
    SET @iLevelStandard  := 2;
    SET @iLevelPromotion := 3;

    INSERT INTO `sys_acl_actions` VALUES (NULL, 'use fchat', NULL);
    SET @iAction := LAST_INSERT_ID();

    INSERT INTO `sys_acl_matrix` (`IDLevel`, `IDAction`) VALUES 
        (@iLevelNonMember, @iAction), 
        (@iLevelStandard, @iAction), 
        (@iLevelPromotion, @iAction);
        
    --
    -- Who is Chatting;
    --
    INSERT INTO 
    	`sys_menu_member`
    (`Caption`, `Name`, `Icon`, `Link`, `PopupMenu`, `Order`, `Active`, `Movable`, `Clonable`, `Editable`, `Deletable`, `Target`, `Position`, `Type`, `Bubble`)
    	VALUES
    ('_tm_chat_whoschatting', 'WhosChatting', 'modules/topcmm/topcmmchat/|123flashchat.png', 'javascript:void(0);', "return BxDolService::call('topcmmchat', 'get_whos_chat');", 2, 1, 3, 1, 1, 0, '_self', 'top_extra', 'link', "$aRetEval = BxDolService::call('topcmmchat', 'get_whos_chat_bubble');");
   
    
    --
    -- Top menu ;
    --

    INSERT INTO 
        `sys_menu_top` 
    SET
        `Parent`        = 0,
        `Name`          = '123FlashChat',
        `Caption`       = '_tm_chat', 
        `Link`          = 'modules/?r=topcmmchat/home/',
        `Order`         = 4,
        `Visible`       = 'non,memb',
        `Target`        = '',
        `Onclick`       = '',
        `Check`         = '',
        `Icon`          = 'modules/topcmm/topcmmchat/|123flashchat.png';
    
    --
    -- Admin menu ;
    --

    INSERT INTO 
        `sys_menu_admin` 
    SET
        `name`          = '123FlashChat',
        `title`         = '_tm_chat_settings', 
        `url`           = '{siteUrl}modules/?r=topcmmchat/settings/',
        `description`   = 'Some chat''s settings',
        `icon`          = 'modules/topcmm/topcmmchat/|123flashchat.png',
        `parent_id`     = 2;
    
    INSERT INTO 
        `sys_menu_admin` 
    SET
        `name`          = '123FlashChat',
        `title`         = '_tm_chat_admin_panel', 
        `url`           = '{siteUrl}modules/?r=topcmmchat/adminpanel/',
        `description`   = 'Chat''s admin panel',
        `icon`          = 'modules/topcmm/topcmmchat/|123flashchat.png',
        `parent_id`     = 2;
    
    --
    -- `sys_options_cats` ;
    --

    SET @iMaxOrder = (SELECT `menu_order` + 1 FROM `sys_options_cats` ORDER BY `menu_order` DESC LIMIT 1);
    INSERT INTO `sys_options_cats` (`name`, `menu_order`) VALUES ('123FlashChat', @iMaxOrder);
    SET @iKategId = (SELECT LAST_INSERT_ID());

    --
    -- Dumping data for table `sys_options`;
    --

    INSERT INTO 
        `sys_options` 
    SET
        `Name` = 'fc_extendserver',
        `kateg` = @iKategId,
        `desc`  = 'Chat server mode',
        `Type`  = 'select',
        `AvailableValues` = 'PHP:return array( array("key"=> 0, "value"=>_t("_tm_chat_server_own")), array("key"=> 1, "value"=>_t("_tm_chat_server_host")),array("key"=> 2, "value"=>_t("_tm_chat_server_free")) );',
        `VALUE` = 2,
        `order_in_kateg` = 1;
        
    INSERT INTO 
        `sys_options` 
    SET
        `Name` = 'fc_servertype',
        `kateg` = @iKategId,
        `desc`  = 'Server Type',
        `Type`  = 'select',
        `AvailableValues` = 'PHP:return array( array("key"=> 0, "value"=>_t("_tm_chat_servertype_flash")), array("key"=> 1, "value"=>_t("_tm_chat_servertype_ppv")) );',
        `VALUE` = 0,
        `order_in_kateg` = 2;
        
   INSERT INTO 
        `sys_options` 
    SET
        `Name` = 'fc_server_host',
        `kateg` = @iKategId,
        `desc`  = 'Chat Server Host',
        `Type`  = 'digit',
        `VALUE` = '',
        `check` = '',
        `order_in_kateg` = 3;

   INSERT INTO 
        `sys_options` 
    SET
        `Name` = 'fc_server_port',
        `kateg` = @iKategId,
        `desc`  = 'Chat Server Port',
        `Type`  = 'digit',
        `VALUE` = '',
        `check` = 'return is_numeric($arg0);',
        `order_in_kateg` = 4;
        
   INSERT INTO 
        `sys_options` 
    SET
        `Name` = 'fc_server_host_s',
        `kateg` = @iKategId,
        `desc`  = 'Chat Server Host Sec',
        `Type`  = 'digit',
        `VALUE` = '',
        `check` = '',
        `order_in_kateg` = 5;

   INSERT INTO 
        `sys_options` 
    SET
        `Name` = 'fc_server_port_s',
        `kateg` = @iKategId,
        `desc`  = 'Chat Server Port Sec',
        `Type`  = 'digit',
        `VALUE` = '',
        `check` = 'return is_numeric($arg0);',
        `order_in_kateg` = 6;
        
   INSERT INTO 
        `sys_options` 
    SET
        `Name` = 'fc_server_host_h',
        `kateg` = @iKategId,
        `desc`  = 'Chat Server Http Host',
        `Type`  = 'digit',
        `VALUE` = '',
        `check` = '',
        `order_in_kateg` = 7;

   INSERT INTO 
        `sys_options` 
    SET
        `Name` = 'fc_server_port_h',
        `kateg` = @iKategId,
        `desc`  = 'Chat Server Http Port',
        `Type`  = 'digit',
        `VALUE` = '',
        `check` = 'return is_numeric($arg0);',
        `order_in_kateg` = 8;

   INSERT INTO 
        `sys_options` 
    SET
        `Name` = 'fc_client_loc',
        `kateg` = @iKategId,
        `desc`  = 'Chat Client Location',
        `Type`  = 'digit',
        `VALUE` = '',
        `check` = '',
        `order_in_kateg` = 9;

   INSERT INTO 
        `sys_options` 
    SET
        `Name` = 'fc_api_url',
        `kateg` = @iKategId,
        `desc`  = 'Chat API URL',
        `Type`  = 'digit',
        `VALUE` = '',
        `check` = '',
        `order_in_kateg` = 10;

   INSERT INTO 
        `sys_options` 
    SET
        `Name` = 'fc_group',
        `kateg` = @iKategId,
        `desc`  = 'Chat Group',
        `Type`  = 'digit',
        `VALUE` = 'default',
        `check` = '',
        `order_in_kateg` = 11;

   INSERT INTO 
        `sys_options` 
    SET
        `Name` = 'fc_room',
        `kateg` = @iKategId,
        `desc`  = 'Chat room name',
        `Type`  = 'digit',
        `VALUE` = 'Lobby',
        `check` = '',
        `order_in_kateg` = 12;
        
    INSERT INTO 
        `sys_options` 
    SET
        `Name` = 'fc_fullscreen',
        `kateg` = @iKategId,
        `desc`  = 'Full Screen',
        `Type`  = 'select',
        `AvailableValues` = 'PHP:return array( array("key"=> 0, "value"=>_t("_tm_chat_custom")), array("key"=> 1, "value"=>_t("_tm_chat_fullscreen")) );',
        `VALUE` = 0,
        `order_in_kateg` = 13;
        
    INSERT INTO 
        `sys_options` 
    SET
        `Name` = 'fc_room_list',
        `kateg` = @iKategId,
        `desc`  = 'Show rooms list',
        `Type`  = 'select',
        `AvailableValues` = 'PHP:return array( array("key"=> 0, "value"=>_t("_tm_chat_no")), array("key"=> 1, "value"=>_t("_tm_chat_yes")) );',
        `order_in_kateg` = 14;
        
    INSERT INTO 
        `sys_options` 
    SET
        `Name` = 'fc_user_list',
        `kateg` = @iKategId,
        `desc`  = 'Show users list',
        `Type`  = 'select',
        `AvailableValues` = 'PHP:return array( array("key"=> 0, "value"=>_t("_tm_chat_no")), array("key"=> 1, "value"=>_t("_tm_chat_yes")) );',
        `order_in_kateg` = 15;
        
    INSERT INTO 
        `sys_options` 
    SET
        `Name` = 'fc_clienttype',
        `kateg` = @iKategId,
        `desc`  = 'Chat Client Type',
        `Type`  = 'select',
        `AvailableValues` = 'PHP:return array( array("key"=> 0, "value"=>_t("_tm_chat_client_html")), array("key"=> 1, "value"=>_t("_tm_chat_client_flash")) );',
        `VALUE` = 0,
        `order_in_kateg` = 16;

   INSERT INTO 
        `sys_options` 
    SET
        `Name` = 'fc_client_width',
        `kateg` = @iKategId,
        `desc`  = 'Chat Client Width',
        `Type`  = 'digit',
        `VALUE` = '760',
        `check` = 'return is_numeric($arg0);',
        `order_in_kateg` = 17;

   INSERT INTO 
        `sys_options` 
    SET
        `Name` = 'fc_client_height',
        `kateg` = @iKategId,
        `desc`  = 'Chat Client Height',
        `Type`  = 'digit',
        `VALUE` = '642',
        `check` = 'return is_numeric($arg0);',
        `order_in_kateg` = 18;

   INSERT INTO 
        `sys_options` 
    SET
        `Name` = 'fc_client_lang',
        `kateg` = @iKategId,
        `desc`  = 'Chat Client Language',
        `Type`  = 'select',
        `AvailableValues` = 'PHP:return array( array("key"=> "*", "value"=>_t("_tm_chat_lang_auto")), array("key"=>"en", "value"=>_t("_tm_chat_lang_en")), array("key"=>"zh-CN", "value"=>_t("_tm_chat_lang_sc")), array("key"=>"zh-TW", "value"=>_t("_tm_chat_lang_tc")), array("key"=>"fr", "value"=>_t("_tm_chat_lang_fr")), array("key"=>"it", "value"=>_t("_tm_chat_lang_it")), array("key"=>"de", "value"=>_t("_tm_chat_lang_de")), array("key"=>"nl", "value"=>_t("_tm_chat_lang_nl")), array("key"=>"hu", "value"=>_t("_tm_chat_lang_hu")), array("key"=>"es", "value"=>_t("_tm_chat_lang_es")), array("key"=>"hr", "value"=>_t("_tm_chat_lang_hr")), array("key"=>"tr", "value"=>_t("_tm_chat_lang_tr")), array("key"=>"ar", "value"=>_t("_tm_chat_lang_ar")), array("key"=>"pt", "value"=>_t("_tm_chat_lang_pt")), array("key"=>"ru", "value"=>_t("_tm_chat_lang_ru")), array("key"=>"ko", "value"=>_t("_tm_chat_lang_ko")), array("key"=>"serbian", "value"=>_t("_tm_chat_lang_serbian")), array("key"=>"no", "value"=>_t("_tm_chat_lang_no")), array("key"=>"ja", "value"=>_t("_tm_chat_lang_ja")), );',
        `VALUE` = 'en',
        `check` = '',
        `order_in_kateg` = 19;

   INSERT INTO 
        `sys_options` 
    SET
        `Name` = 'fc_client_skin',
        `kateg` = @iKategId,
        `desc`  = 'Chat client skin',
        `Type`  = 'select',
        `AvailableValues` = 'PHP:return array( array("key"=>"default", "value"=>_t("_tm_chat_skin_blue")), array("key"=>"green", "value"=>_t("_tm_chat_skin_green")), array("key"=>"orange", "value"=>_t("_tm_chat_skin_orange")), array("key"=>"red", "value"=>_t("_tm_chat_skin_red")), array("key"=>"black", "value"=>_t("_tm_chat_skin_black")), array("key"=>"beige", "value"=>_t("_tm_chat_skin_beige")), array("key"=>"standard", "value"=>_t("_tm_chat_skin_standard")), array("key"=>"clean", "value"=>_t("_tm_chat_skin_clean")), array("key"=>"artistic", "value"=>_t("_tm_chat_skin_artistic")), "value"=>_t("_tm_chat_skin_lightblue")) );',
        `VALUE` = 'default',
        `check` = '',
        `order_in_kateg` = 20;
